libsidplayfp::Event Class Referenceabstract

`#include <Event.h>`

Inheritance diagram for libsidplayfp::Event:

## Public Member Functions

| Event (const char *const name)
virtual void | event ()=0
const char * | name () const

## Friends

class | EventScheduler

## Detailed Description

An Event object that can be inserted in the Event Scheduler.

## Constructor & Destructor Documentation

## Event()

libsidplayfp::Event::Event | ( | const char *const | name | ) |

inline

Events are used for delayed execution.

Parameters

  name | Descriptive string of the event.

## Member Function Documentation

## event()

virtual void libsidplayfp::Event::event | ( |  | ) |

pure virtual

Event code to be executed. Events are allowed to safely reschedule themselves with the EventScheduler during invocations.

Implemented in libsidplayfp::MOS656X.

## name()

const char * libsidplayfp::Event::name | ( |  | ) | const

inline

Get the event name. Only for debugging purposes.

The documentation for this class was generated from the following file:

- Event.h